For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
          • POSTCreate
          • GETGet Visits
          • GETGet
          • GETGet History
          • PUTUpdate
          • GETScan
          • DELDeactivate
Contact Sales
LogoLogo
API ReferencePre EncounterAppointmentsV1

Deactivate

Beta
DELETE
/appointments/v1/:id/:version
DELETE
/appointments/v1/:id/:version
$curl -X DELETE https://pre-api.joincandidhealth.com/appointments/v1/id/version \
> -H "Authorization: Bearer <token>"
Sets an appointment as deactivated. The path must contain the most recent version to prevent race conditions. Deactivating historic versions is not supported. Subsequent updates via PUT to the appointment will "reactivate" the appointment and set the deactivated flag to false.
Was this page helpful?
Previous

Create

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idstringRequired
The unique identifier for an Appointment.
versionstringRequired

Errors

404
Not Found Error
409
Version Conflict Error